 /* ============================================================================
 * File Name: PWM DAC_01a_test
 * 
 * Description:
 *
 * Credits:
 * 
 * Note:
 *
 * ============================================================================
 * PROVIDED AS-IS, NO WARRANTY OF ANY KIND, INCLUDING, BUT NOT LIMITED TO, THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
 * FREE TO SHARE, USE AND MODIFY UNDER TERMS: CREATIVE COMMONS - SHARE ALIKE
 * ============================================================================
*/


#include <project.h>


#define BlinkLED(); {Pin_LED_Write(1); CyDelayUs(50); Pin_LED_Write(0);} //blink LED indicator


//===========================================
// Global variables
//===========================================
volatile int32 counter;

//===========================================
// Declarations
//===========================================
void UpdateValue();


//===========================================
// ISR handler 
//===========================================
CY_ISR(isrDtr_Handler)    
{   
    counter++;
    counter &=0xFF;
    //if (counter > 255) counter = 0;
    
    PWM_1_WriteCompare(counter);
}

void Init(void)
{   
    CyGlobalIntEnable; //enable global interrupts.
    PWM_1_Start();  // 
    isrDtr_StartEx(isrDtr_Handler); //start Timer interrupt
}


int main()
{      
    Init();
       
    for(;;) 
    {
    }

}

/* [] END OF FILE */
